/*
  ==============================================================================

  This is an automatically generated file created by the Jucer!

  Creation date:  24 May 2010 12:57:22am

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Jucer version: 1.12

  ------------------------------------------------------------------------------

  The Jucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-6 by Raw Material Software ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
//[/Headers]

#include "ShredderShuffleButton.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
ShredderShuffleButton::ShredderShuffleButton ()
    : Button (String::empty),
      cachedImage_btn_violet_png (0)
{
    cachedImage_btn_violet_png = ImageCache::getFromMemory (btn_violet_png, btn_violet_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (24, 24);

    //[Constructor] You can add your own custom stuff here..
    //[/Constructor]
}

ShredderShuffleButton::~ShredderShuffleButton()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    //[/Destructor_pre]

    //ImageCache::release (cachedImage_btn_violet_png);

    //[Destructor]. You can add your own custom destruction code here..
    //[/Destructor]
}

//==============================================================================
void ShredderShuffleButton::resized()
{
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}

void ShredderShuffleButton::paintButton (Graphics& g, bool isMouseOverButton, bool isButtonDown)
{
    if (isButtonDown)
    {
        g.setColour (Colours::black);
        g.drawImage (cachedImage_btn_violet_png,
                     0, -24, 24, 48,
                     0, 0, cachedImage_btn_violet_png.getWidth(), cachedImage_btn_violet_png.getHeight());
    }
    else
    {
        g.setColour (Colours::black);
        g.drawImage (cachedImage_btn_violet_png,
                     0, 0, 24, 48,
                     0, 0, cachedImage_btn_violet_png.getWidth(), cachedImage_btn_violet_png.getHeight());
    }
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...
//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Jucer information section --

    This is where the Jucer puts all of its metadata, so don't change anything in here!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Button" className="ShredderShuffleButton" componentName=""
                 parentClasses="public Button" constructorParams="" variableInitialisers=""
                 snapPixels="8" snapActive="1" snapShown="1" overlayOpacity="0.330000013"
                 fixedSize="1" initialWidth="24" initialHeight="24">
  <BACKGROUND backgroundColour="0" buttonState="normal" enabled="1">
    <IMAGE pos="0 0 24 48" resource="btn_violet_png" opacity="1" mode="0"/>
  </BACKGROUND>
  <BACKGROUND backgroundColour="0" buttonState="over" enabled="0"/>
  <BACKGROUND backgroundColour="0" buttonState="down" enabled="1">
    <IMAGE pos="0 -24 24 48" resource="btn_violet_png" opacity="1" mode="0"/>
  </BACKGROUND>
  <BACKGROUND backgroundColour="0" buttonState="normal on" enabled="0"/>
  <BACKGROUND backgroundColour="0" buttonState="over on" enabled="0"/>
  <BACKGROUND backgroundColour="0" buttonState="down on" enabled="0"/>
  <BACKGROUND backgroundColour="0" buttonState="common background" enabled="0"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: btn_violet_png, 1361, "../../../../../../Users/atom/Desktop/btn_violet.png"
static const unsigned char resource_ShredderShuffleButton_btn_violet_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,0,24,0,0,0,48,8,6,0,0,0,11,136,186,163,0,0,0,1,115,82,71,66,0,174,206,28,
233,0,0,0,4,103,65,77,65,0,0,177,143,11,252,97,5,0,0,0,9,112,72,89,115,0,0,14,195,0,0,14,195,1,199,111,168,100,0,0,4,230,73,68,65,84,88,71,237,150,127,72,220,117,24,199,245,212,83,207,211,83,135,76,82,
19,156,25,46,119,122,69,166,115,16,117,173,205,118,101,164,200,177,33,115,109,220,38,83,233,150,206,92,82,173,17,161,151,248,79,127,4,107,65,63,76,42,194,245,227,143,57,24,149,145,179,28,44,162,134,37,
101,63,70,109,109,179,77,116,179,160,123,122,94,118,198,233,188,239,221,5,251,35,214,193,131,95,239,251,189,247,251,249,188,159,247,251,243,249,198,196,252,255,249,47,40,96,209,38,237,90,30,45,95,160,
184,230,59,238,253,235,143,73,127,233,52,155,205,135,138,138,138,198,221,110,247,133,142,142,142,217,230,230,230,25,167,211,121,62,43,43,107,60,54,54,246,16,207,104,241,108,84,31,126,224,74,77,77,61,238,
243,249,102,135,135,135,101,112,112,80,186,187,187,165,179,179,83,186,186,186,196,235,245,250,43,43,43,167,77,38,211,168,62,91,163,127,163,34,113,2,222,223,223,255,251,208,208,144,120,60,30,169,168,168,
16,187,221,254,79,149,149,149,205,127,151,151,151,119,37,62,62,254,19,93,233,166,72,87,98,65,22,58,7,188,190,190,94,0,11,6,15,190,206,207,207,23,109,254,82,74,74,202,91,201,201,201,43,35,33,177,163,57,
178,208,185,17,56,68,37,37,37,162,160,126,155,205,246,121,70,70,198,253,122,109,213,138,53,26,136,135,129,162,249,82,89,66,173,66,193,196,106,181,254,172,131,239,211,235,60,45,179,17,129,15,183,48,208,
80,128,75,191,135,192,98,177,76,171,92,175,234,245,173,90,105,70,171,240,97,69,220,18,13,129,174,96,122,213,170,85,3,1,219,26,206,194,131,207,177,98,36,4,133,133,133,204,64,50,51,51,207,230,230,230,190,
136,189,181,110,212,138,15,37,147,157,16,225,243,8,7,140,139,252,5,5,5,167,116,208,61,10,250,128,86,190,17,129,133,132,18,34,163,33,227,30,181,243,124,247,105,105,105,211,197,197,197,71,52,15,157,250,
255,70,173,27,180,226,140,6,237,140,139,139,27,37,68,248,28,176,96,185,22,100,9,12,119,206,225,112,124,166,171,126,65,255,223,169,181,86,43,51,156,85,137,125,13,9,37,68,248,28,176,224,66,22,58,7,60,59,
59,251,160,222,123,76,235,65,173,34,173,100,163,238,231,239,177,183,16,127,18,74,136,240,57,86,196,45,12,20,205,145,37,208,57,224,110,45,71,160,123,67,121,130,201,77,74,176,146,132,18,34,124,142,21,113,
11,3,13,104,142,44,116,14,120,150,86,66,216,238,151,60,128,92,196,159,132,18,34,182,103,172,136,91,24,40,154,35,11,186,71,13,190,192,197,222,66,252,73,40,33,194,231,88,17,183,0,140,230,17,203,98,180,66,
136,88,17,33,162,0,53,220,216,162,149,43,250,231,69,36,230,90,214,53,5,167,241,235,128,64,167,202,187,79,169,214,46,173,222,64,53,233,95,130,149,18,110,126,33,37,10,216,209,105,54,37,190,116,115,250,234,
111,182,87,109,159,242,213,249,46,247,60,244,220,236,214,59,30,158,186,197,186,102,34,49,54,241,101,125,110,3,118,13,69,180,44,65,0,220,149,102,182,141,246,109,238,187,252,237,51,147,114,230,192,37,249,
186,237,71,57,229,157,148,201,125,103,228,68,219,151,254,39,214,31,152,177,38,164,142,233,243,181,228,98,57,146,80,4,78,192,7,154,6,254,248,233,169,243,114,204,61,34,111,220,243,174,188,185,254,61,121,
199,117,84,142,212,126,36,31,110,249,84,142,239,56,41,207,58,123,231,108,73,182,17,221,24,239,35,116,75,73,174,34,64,115,100,161,115,192,223,175,57,38,175,221,249,246,34,240,15,54,143,202,200,182,147,
114,98,231,87,242,241,182,49,217,237,240,94,92,97,91,241,186,190,172,101,68,66,80,138,230,200,66,231,70,224,95,180,76,200,248,163,63,200,193,187,95,241,175,189,105,221,168,158,11,235,144,55,152,100,185,
21,236,98,160,104,190,84,150,224,206,1,103,38,223,63,126,86,134,234,134,165,110,181,251,59,221,206,247,42,65,66,56,130,94,220,194,143,131,53,15,5,254,203,211,23,101,184,97,76,154,74,91,207,149,151,151,
239,87,130,164,176,4,88,17,183,44,12,212,8,124,170,251,138,112,127,119,217,35,191,86,87,87,239,99,134,225,8,154,240,57,86,196,45,225,192,127,235,153,147,195,155,134,164,241,246,29,19,46,151,107,43,103,
67,56,2,7,33,194,231,88,113,193,45,193,154,35,11,157,207,244,253,41,19,123,79,139,239,182,231,253,205,91,90,142,86,85,85,49,100,115,56,130,20,18,74,136,240,57,86,12,5,126,250,201,11,50,112,239,97,105,
118,120,207,237,105,221,179,95,207,106,78,186,69,169,14,21,180,13,36,148,16,225,115,172,136,91,22,58,71,22,58,7,220,187,166,99,166,173,165,189,191,161,161,225,174,192,190,181,40,108,161,8,56,10,107,73,
40,33,194,231,88,17,183,48,19,52,159,151,69,59,111,111,109,239,111,108,108,220,168,111,31,233,203,237,73,70,155,93,60,241,39,161,132,8,159,99,69,220,194,64,209,28,89,232,60,20,120,216,3,135,189,37,61,
61,61,131,132,18,34,124,142,21,113,11,3,205,201,201,65,115,182,243,232,118,211,171,246,147,191,223,36,120,231,73,10,0,242,154,194,107,204,252,91,133,209,153,112,29,28,153,225,142,196,112,247,255,2,114,
148,213,132,52,197,198,202,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* ShredderShuffleButton::btn_violet_png = (const char*) resource_ShredderShuffleButton_btn_violet_png;
const int ShredderShuffleButton::btn_violet_pngSize = 1361;
